import {
    getProjectNo,
    addProjectInfo,
} from '../../../api/project'
const app = getApp()
Page({

    /**
     * 页面的初始数据
     */
    data: {
        parDeptId: null,
        projectName: null,
        proNo: "",
        proName: "",
        proInfo: "",
        proAddress: "",
        proPerson: "",
        proPersonPhone: "",
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        this.initProNo();
        this.setData({
            parDeptId: app.globalData.userData?.parDeptId,
            parDeptName: app.globalData.userData?.parDeptName
        });
    },

    /**
     * 初始化临建项目编号
     * @param {*} e 
     */
    initProNo: function (e) {
        getProjectNo().then(res => {
            if (res.code == 200) {
                this.setData({
                    proNo: res.data
                });
            }
        })
    },

    /**
     * 项目名称
     * @param {*} e 
     */
    inputProName: function (e) {
        this.setData({
            proName: e.detail.value
        });
    },

    /**
     * 项目负责人
     * @param {*} e 
     */
    inputProPerson: function (e) {
        this.setData({
            proPerson: e.detail.value
        });
    },

    /**
     * 项目负责人电话
     * @param {*} e 
     */
    inputProPersonPhone: function (e) {
        this.setData({
            proPersonPhone: e.detail.value
        });
    },

    /**
     * 临建项目地址
     * @param {*} e 
     */
    onInputProAddress: function (e) {
        this.setData({
            proAddress: e.detail.value
        });
    },

    /**
     * 临建项目详情
     * @param {*} e 
     */
    onInputProInfo: function (e) {
        this.setData({
            proInfo: e.detail.value
        });
    },

    returnToPage: function () {
        /*关闭当前页面，跳转到应用内的某个页面。但是不允许跳转到 tabbar 页面*/
        wx.redirectTo({
            url: '../list/index',
        })
    },

    /**
     * 提交保存数据
     */
    onSaveSubmit: function () {
        let {
            proNo,
            proName,
            proInfo,
            proAddress,
            proPerson,
            proPersonPhone,
        } = this.data;
        //数据效验
        if (proNo == "") {
            app.toast("数据异常，请刷新页面重试!")
            return;
        }
        if (proName == "") {
            app.toast("请填写临建项目名称!")
            return;
        }
        addProjectInfo({
            no: proNo,
            name: proName
        }).then(res => {
            if (res.code == 200) {
                app.toast("新增成功!")
                setTimeout(() => {
                    wx.redirectTo({
                        url: '../list/index',
                    })
                }, 200)
            }
        });
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})